EssencePartition (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Interface EssencePartition

- All Superinterfaces:
    Cloneable, Partition
  All Known Subinterfaces:
    BodyPartition, HeaderPartition
  All Known Implementing Classes:
    BodyPartitionImpl, EssencePartitionImpl, HeaderPartitionImpl

      public interface EssencePartition
      extends Partition, Cloneable

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.Partition

      `SIZE_UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EssencePartition` | `clone()` Create a cloned copy of this partition.
    `long` | `fillToEnd()`
    `EssenceContainer` | `getEssenceContainer()`
    `void` | `initializeWritingBody()`
    `EssenceElement` | `readEssenceElement()`
    `void` | `writeEssenceBlock(ByteBuffer essence)`
    `void` | `writeEssenceElementHeader(byte itemType, byte elementType, byte elementCount, byte elementItem, long length)`
    `void` | `writeEssenceElementHeader(int trackNumber, long length)`

    - ### Methods inherited from interface tv.amwa.maj.io.mxf.Partition

      `getActualSize, getInitialSize, getPartitionPack, hasEssenceContainer, hasHeaderMetadata, hasIndexTable, readHeaderMetadata, readIndexTableSegment, setInitialDataSize, setPartitionPackPadding, updateSizes, writeHeaderMetadata, writeIndexTableSegment, writeSingleIndexSegment`

- - ### Method Detail

    - #### getEssenceContainer

          EssenceContainer getEssenceContainer()

    - #### readEssenceElement

          EssenceElement readEssenceElement()

    - #### initializeWritingBody

          void initializeWritingBody()
                              throws NullPointerException,
                                     InsufficientSpaceException,
                                     IOException

      Throws:
        `NullPointerException`
        `InsufficientSpaceException`
        `IOException`

    - #### writeEssenceElementHeader

          void writeEssenceElementHeader(byte itemType,
                                         byte elementType,
                                         byte elementCount,
                                         byte elementItem,
                                         long length)
                                  throws IOException

      Throws:
        `IOException`

    - #### writeEssenceElementHeader

          void writeEssenceElementHeader(int trackNumber,
                                         long length)
                                  throws IOException

      Throws:
        `IOException`

    - #### writeEssenceBlock

          void writeEssenceBlock(ByteBuffer essence)
                          throws IOException

      Throws:
        `IOException`

    - #### fillToEnd

          long fillToEnd()
                  throws IOException

      Throws:
        `IOException`

    - #### clone

          EssencePartition clone()

      Description copied from interface: `Partition`

      Create a cloned copy of this partition.

      Specified by:
        `clone` in interface `Partition`
      Returns:
        Cloned copy of this partition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.